---
title: RTCIceCandidatePairStats.priority
slug: Web/API/RTCIceCandidatePairStats/priority
tags:
  - API
  - ICE
  - Obsolete
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - priority
---
<p>{{APIRef("WebRTC")}}{{obsolete_header}}</p>

<p><span class="seoSummary">The <em>obsolete</em> {{domxref("RTCIceCandidatePairStats")}} property <code><strong>priority</strong></code> reports the priority of the candidate pair as an integer value.</span> The higher the value, the more likely the WebRTC layer is to select the candidate pair when the time comes to establish (or re-establish) a connection between the two peers.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>pairPriority</em> = <em>rtcIceCandidatePairStats</em>.priority;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the priority of this pair of candidates as compared to other pairs on the same peer connection. The higher this value, the better the WebRTC layer thinks this pair of candidates is compared to the others, and the more likely a pair is to be selelcted for use.</p>

<div class="notecard note">
<p><strong>Note:</strong> This property was removed from the specification as its value cannot be guaranteed to be accurately represented in a JavaScript number. You can calculcate its value using the algorithm described in {{RFC(5245, "", "5.7.2")}} if you need this information and can accept the risk that the result may not be entirely accurate.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-priority', 'RTCIceCandidatePairStats.priority') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.priority")}}</p>
